# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Keyword/Simple.pm) perl(Lexical/Failure.pm) perl(List/Util.pm) perl(Scalar/Util.pm) perl(Test/Effects.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define module_name Running-Commentary
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000005
Release: alt1
Summary: call C<system> cleanly, with tracking messages
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DC/DCONWAY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a single subroutine: `run()'
which is designed to be a more informative and less error-prone
replacement for the built-in `system()'.

It also provides a compile-time keyword: `run_with'
with which you can set lexically scoped default options for `run()'.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/R*

%changelog
* Wed Mar 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.000005-alt1
- initial import by package builder

